Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jivesoftware.openfire.privacy
Interface PrivacyListEventListener

    public interface PrivacyListEventListener

/** Interface to listen for privacy list events. Use the `PrivacyListManager.addListener(PrivacyListEventListener)` method to register for events.

Author:
  Gaston Dombiak

Method Summary
`void` | `privacyListCreated(PrivacyList list)` A privacy list was created.
`void` | `privacyListDeleting(String listName)` A privacy list is being deleted.
`void` | `privacyListModified(PrivacyList list)` Properties of the privacy list were changed.

Method Detail

### privacyListCreated

    void privacyListCreated(PrivacyList list)

  A privacy list was created.

  Parameters:
    `list` - the privacy list.

### privacyListDeleting

    void privacyListDeleting(String listName)

  A privacy list is being deleted.

  Parameters:
    `listName` - name of the the privacy list that has been deleted.

### privacyListModified

    void privacyListModified(PrivacyList list)

  Properties of the privacy list were changed.

  Parameters:
    `list` - the privacy list.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Openfire 3.4.3 Javadoc
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Jive Software.